﻿using Infragistics.Win.UltraMessageBox;
using Infragistics.Win.UltraWinMaskedEdit;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WNE_ChangeValueOnlyWithUpDown
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraNumericEditor1.PromptChar = ' ';
        }

        private void ultraNumericEditor1_KeyDown(object sender, KeyEventArgs e)
        {
            int value = (int)ultraNumericEditor1.Value;
            if (e.KeyCode == Keys.Up)
            {
                value++;
            }
            if (e.KeyCode == Keys.Down && value > 0)
            {
                value--;
            }
            ultraNumericEditor1.Value = value;
        }

        private void ultraNumericEditor1_BeforeEnterEditMode(object sender, CancelEventArgs e)
        {
            e.Cancel = true;
        }

        private void ultraNumericEditor1_PreviewKeyDown(object sender, PreviewKeyDownEventArgs e)
        {
            if (e.KeyCode == Keys.Down || e.KeyCode == Keys.Up)
            {
                e.IsInputKey = true;
            }
        }

    }
}
